## net.sf.saxon
Class StandardErrorHandler

    java.lang.Object
      net.sf.saxon.StandardErrorHandler

All Implemented Interfaces:
  ErrorHandler

    public class StandardErrorHandler

extends Object
implements ErrorHandler

Constructor Summary
`StandardErrorHandler(ErrorListener listener)`

Method Summary
`void` `error(SAXParseException e)` Callback interface for SAX: not for application use
`void` `fatalError(SAXParseException e)` Callback interface for SAX: not for application use
`void` `setErrorOutput(Writer writer)` Set output for error messages produced by the default error handler.
`void` `warning(SAXParseException e)` Callback interface for SAX: not for application use

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardErrorHandler

    public StandardErrorHandler(ErrorListener listener)

Method Detail

### setErrorOutput

    public void setErrorOutput(Writer writer)

  Set output for error messages produced by the default error handler. The default error handler does not throw an exception for parse errors or input I/O errors, rather it returns a result code and writes diagnostics to a user-specified output writer, which defaults to System.err
  This call has no effect if setErrorHandler() has been called to supply a user-defined error handler

  Parameters:
    `writer` - The Writer to use for error messages

### warning

    public void warning(SAXParseException e)

  Callback interface for SAX: not for application use

  Specified by:
    `warning` in interface `ErrorHandler`

### error

    public void error(SAXParseException e)
               throws SAXException

  Callback interface for SAX: not for application use

  Specified by:
    `error` in interface `ErrorHandler`
  Throws:
    `SAXException`

### fatalError

    public void fatalError(SAXParseException e)
                    throws SAXException

  Callback interface for SAX: not for application use

  Specified by:
    `fatalError` in interface `ErrorHandler`
  Throws:
    `SAXException`

Copyright (C) Michael H. Kay. All rights reserved.